Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 229654 - USB 2.0 transfer size limit problem: Vuescan does not recognize scanner
Summary: USB 2.0 transfer size limit problem: Vuescan does not recognize scanner
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 5
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pete Zaitcev
QA Contact: Brian Brock
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-22 15:13 UTC by williamnorfleet2000
Modified: 2008-04-04 11:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-04-04 11:35:06 UTC


Attachments (Terms of Use)

Description williamnorfleet2000 2007-02-22 15:13:21 UTC
Description of problem:
Vuescan 8.3.87 does not recognize a Minolta Scan Dual III scanner on a desktop
machine with a fresh install of FC5 updated via yum. An exchange of emails with
the developer of Vuescan concludes: "This would indicate a kernel problem . . .,
probably in the USB subsystem limiting transfers to 32 KBytes." "The problem is
that when VueScan tries to load the firmware into the scanner, it tries to
transfer 44904 bytes in a single transfer. This is failing."  Connecting the
scanner to the motherboard's USB 1.0 port results in proper function of the Dual
III, so the problem seems to be confined to USB 2.0.  So far I have not been
able to identify where this transfer limit is established - via an option passed
to a kernel module or within a module itself.  


Version-Release number of selected component (if applicable):
kernel 2.6.18-1.2257.fc5

How reproducible:
Every try.

Steps to Reproduce:
1. delete ~/.vuescan
2. shut down and remove power from scanner and computer; plug scanner into USB
2.0 port
3. boot computer
4. turn on scanner
5. run vuescan:  observe that vuescan properly identifies the scanner as a Dual
III, but that the scanner responds to no vuescan commands such as "Calibrate" or
"Scan".
  
Actual results:
Scanner responds to no vuescan commands such as "Calibrate" or "Scan"

Expected results:
Scanner calibaration or scan activity in response to these commands.

Additional info:

Comment 1 Pete Zaitcev 2007-02-22 19:04:37 UTC
32KB sounds like a limit on the single URB size as enforced by usbfs.
But if so, it would affect both speeds. Something does not compute
about this report.

What's the e-mail of the Vuescan guy?


Comment 2 williamnorfleet2000 2007-02-22 19:53:56 UTC
EdHamrick@aol.com

Comment 3 williamnorfleet2000 2007-02-26 23:29:55 UTC
Downloaded the latest version of Vuescan (8.4.12).  Same problem:  Vuescan works
through the USB 1.0 port, but fails through the USB 2.0 port.  Now running
kernel 2.6.19-1.2288.fc5

Comment 4 williamnorfleet2000 2007-02-27 20:13:39 UTC
Tried a different computer:  Vuescan works with the Minolta Scan Dual III
scanner when connected to a Zonet ZUN2200 USB 2.0 Cardbus PC Card on a Thinkpad
600E also running Vuescan 8.4.12 and kernel 2.6.19-1.2288.fc5.  Perhaps this bug
is card-specific?  The non-working card is a "CTG USB 2.0 Hi-Speed 5-Port PCI
Card", Tiger Direct Item No. C184-29554, purchased in November, 2006.  This card
works well with a variety of devices including an Epson Perfection 1260 flat-bed
scanner being driven by Vuescan 8.4.12 - the Minolta Scan Dual III is the only
device tried so far that has not worked with it.  

Comment 5 williamnorfleet2000 2007-03-28 14:19:06 UTC
This problem persists under kernel 2.6.20-1.2307.fc5

Comment 6 williamnorfleet2000 2007-04-01 01:22:20 UTC
This problem is "fixed" by:  rmmod ehci_hcd

Comment 7 williamnorfleet2000 2007-07-06 00:33:08 UTC
The problem seems to be card-specific.  The card in question is a "Cables To Go
USB 2.0 Hi-Speed 5-Port PCI Card", item number C184-29554 at Tiger Direct. 
Replacing this card with an "IOFuture PU520 High-Speed USB 2.0 PCI Host
Controller", item number 15-104-216 at NewEgg, caused this and some other
strange USB-related problems to go away.

Comment 8 Bug Zapper 2008-04-04 06:19:57 UTC
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers


Note You need to log in before you can comment on or make changes to this bug.